﻿.steam-progress-stepper {
    padding: 1rem 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;

    .steam-progress-stepper-section {
        display: flex;
        flex-direction: row;
        align-items: stretch;
        gap: 1rem;

        .steam-progress-stepper-item-container {
            display: flex;
            flex-direction: column;
            padding: .5rem;
            border-radius: 1rem;
            border: 1px solid var(--scl-color-background-darker);
            box-shadow: 0 1px 3px rgba(15, 23, 42, 0.08);
            gap: .75rem;

            .steam-progress-stepper-item-header {
                display: flex;
                flex-direction: row;
                align-items: center;
                gap: 1rem;

                .icon {
                    height: 2rem;
                    min-width: 2rem;
                    border-radius: 5rem;
                    display: flex;
                    align-items: center;
                    justify-content: center;

                    &.success {
                        background-color: var(--telekom-color-text-and-icon-functional-success);
                    }

                    &.error {
                        background-color: var(--telekom-color-text-and-icon-functional-danger);
                    }

                    &.pending {
                        border: 2px dashed var(--telekom-color-text-and-icon-disabled);
                        background: transparent;
                    }
                }

                .title {
                    font-weight: bold;
                }
            }

            .steam-progress-stepper-item-body {
                display: flex;
                flex-direction: column;
                margin-left: .5rem;
                font-size: 0.9rem;
                color: var(--telekom-color-text-and-icon-additional);
                gap: .5rem;

                .timestamp {
                    display: flex;
                    flex-direction: row;
                    gap: .5rem;
                    align-items: center;
                }
            }
        }
    }

    .steam-progress-stepper-divider-vertical {
        width: 2px;
        background: black;
        margin: 0 1rem;
        align-self: stretch;
    }

    .steam-progess-stepper-message-channels {
        display: flex;
        flex-direction: column;
        row-gap: 2rem;
    }
}
